#! /bin/bash
while true; do #boucle infinie
curl -I https://www.wikipedia.org #fait une commande curl sur le site wikipedia pour tester la connectivité
if [ $? -ne 0 ]; then #si la réponse est négative alors il allume la LED jaune et écrit la date dans un fichier curl_failures.log
python /home/user1/Desktop/LEDj2on.py
echo "$(date)" >> "/home/user1/curl_failures.log"
else
python /home/user1/Desktop/LEDj2off.py #sinon éteint la LED jaune
fi

if [ -s /home/user1/curl_failures.log ]; then # si il y a un log alors allume la LED rouge sinon l'éteint
python /home/user1/Desktop/LEDr2on.py
else 
python /home/user1/Desktop/LEDr2off.py
fi

if [ -s /home/user1/curl_failures.log ]; then #si il y a un log étint la LED verte sinon l'allume
python /home/user1/Desktop/LEDv2off.py
else 
python /home/user1/Desktop/LEDv2on.py
fi

sleep 1
done
